/*************************************************************************
*  Program:       NEURORES.H                                             *
*  Description:   Definitions for Windows-Resources for VieNet2          *
*  Version:       2.0                                                    * 
*  Last modified: 20.2.94                                                *
*  Author:        LG                                                     *
*  Copyright (C) Austrian Research Institute for Artificial Intelligence *
**************************************************************************/

// Neurores.h
#define ID_DFILE_CURFILE        155
#define ID_DFILE_FILELIST       154
#define ID_DFILE_FTYPE  151
#define ID_DFILE_DIRLIST        152
#define ID_DFILE_CURDIR 153

#define CM_LogFile      121
#define FileExists      200
#define ID_NEWFILE      201
#define ID_FileName     111

// ScaleDlg
#define ID_WScale                               1601
#define ID_AScale                               1611


// LayerParamsDlg
#define ID_LayerTitle   103
#define ID_LayerSize    104
#define ID_LayerWidth   105

// BackMenue
#define CM_LM_Weights   1501
#define CM_LM_Toggle    1502
#define CM_RM_Weights   1511
#define CM_RM_Toggle    1512

// MainMenue
#define CM_Load 101
#define CM_Save 102
#define CM_SaveAs       103
#define CM_Edit                                 110
#define CM_QuitEdit     111
#define CM_Reset        201
#define CM_WNew                                 301
#define CM_WLoad        302
#define CM_WSave        303
#define CM_WSaveAs      304
#define CM_ALoad        402
#define CM_ASave        403
#define CM_ASaveAs      404
#define CM_DLoad        502
#define CM_OBatch       601
#define CM_OScale                               602
#define CM_ShowMsgWindow        801
#define CM_ShowInfoWindow       802
#define CM_ShowCanvasWindow     803
#define CM_ShowFirstUserWindow       810
#define CM_ShowLastUserWindow       819
#define CM_UseHelp      905
#define CM_AboutBack    991
#define CM_About        999

// MsgMenue
#define CM_MsgClear 101
#define CM_Log  120

// LayerMenu
#define CM_LayerResetAct 1011
#define CM_LayerLoadAct 1012
#define CM_LayerSaveAct 1013
#define CM_LayerSaveAsAct 1014

#define CM_LayerDataClear       1021
#define CM_LayerDataLoad        1022
#define CM_LayerDataSave        1023

#define CM_LayerParams  1031

// ===Graph-Modul===
#define ERR_MEM_TOO_LOW_EXIT    20021
#define ID_GRAPH_XLOW   672
#define ID_GRAPH_XOFFSET        674
#define ID_GRAPH_YLOW   676
#define ID_GRAPH_YHIGH  677
#define ID_GRAPH_XHIGH  673
#define ID_GRAPH_YOFFSET        678
#define ID_GRAPH_XAUTO  675
#define ID_GRAPH_YAUTO  679
#define ID_FIT_TO_WINDOW        666
#define ID_GRAPH_LIN_X  660
#define ID_GRAPH_LOG_X  661
#define ID_GRAPH_LIN_Y  662
#define ID_GRAPH_LOG_Y  663
#define ID_GRAPH_WIDTH  664
#define ID_GRAPH_HEIGHT 665
#define CM_GRAPH_DISPLAY        614
#define ERR_NO_DISK_SPACE       20020
#define ERR_SCALE_TO_LINEAR     20019
#define ID_GRAPH_DOTSTYLE       698
#define ID_SELECTEDONLY 684
#define ERR_NO_MEM_SAVE_BMP     20018
#define CM_ZOOMGRAPHX   612
#define CM_ZOOMGRAPHY   613
#define ERR_CALC_NO_VAL 20017
#define ERR_CALC_DIFF_COUNT     20016
#define ERR_NO_SELECT   20015
#define ERR_CALC_MEM    20014
#define ID_GRAPH_RESULTDESCR    670
#define ID_GRAPH_RESULT 671
#define ERR_EMPTY_FILE  20013
#define ERR_ILL_VALUE   20012
#define ERR_DIFF_COUNT  20011
#define ERR_NO_CURVE    20009
#define ERR_NOT_ALL_READ        20010
#define ID_GRAPH_CURVECOLOR     696
#define ID_GRAPH_CURVESTYLE     697
#define ERR_NO_XVALUES  20008
#define ERR_NO_SAVE     20005
#define ERR_NO_FILE     20006
#define ERR_NO_CURVENAME        20007
#define ID_GRAPH_CURVENAME      695
#define ID_GRAPH_NOXVAL 692
#define ID_GRAPH_XSTART 693
#define ID_GRAPH_XINCR  694
#define ID_GRAPH_XVAL2  689
#define ID_GRAPH_XVAL1  687
#define ID_GRAPH_YVAL1  688
#define ID_GRAPH_YVAL2  690
#define ID_GRAPH_FILE2  691
#define ID_GRAPH_FILE1  685
#define ID_GRAPH_COMBINED       686
#define ID_GRAPH_BROWSE2        11
#define ID_GRAPH_BROWSE1        10
#define Browse2Focus    5011
#define Browse2NoFocus  1011
#define Browse2Pressed  3011
#define Browse1Pressed  3010
#define Browse1NoFocus  1010
#define Browse1Focus    5010
#define STR_GRAPH_BITMAP        10002
#define STR_CURVE_VALUES        10001
#define ID_GRAPH_TYPEDESCR      682
#define ID_GRAPH_TYPELIST       683
#define ID_GRAPH_DIRLIST        680
#define ID_GRAPH_CURDIR 681
#define ERR_WINDOW_COUNT        20004
#define CM_CURVE_1      651
#define CM_CURVE_2      652
#define CM_CURVE_3      653
#define CM_CURVE_4      654
#define CM_CURVE_5      655
#define CM_CURVE_6      656
#define CM_CURVE_7      657
#define CM_CURVE_8      658
#define CM_CURVE_9      659
#define CM_CURVE_0      650
#define ERR_CLP_IN_USE  20003
#define ERR_NO_COPY     20002
#define CM_COPYGRAPH    618
#define STR_BOX_TITLE   10000
#define ERR_NO_BITMAP   20000
#define ERR_NO_WINDOW   20001
#define CM_LOADGRAPH    601
#define CM_CLOSEGRAPH   609
#define CM_SAVEGRAPH    602
#define CM_ZOOMGRAPH    611
#define CM_GRAPHMEAN    621
#define CM_GRAPHSDEV    622
#define CM_GRAPHMSE     623
#define CM_SELECTALL    631
#define CM_UNSELECTALL  632


