/*************************************************************************
*  Program:       NNCONTRL.H                                             *
*  Description:   Header for additional controls for VieNet2             *
*  Version:	  1.4                                                    *
*  Last modified: 26.6.93                                                *
*  Author:        LG                                                     *
*  Copyright (C) Austrian Research Institute for Artificial Intelligence *
**************************************************************************/

_CLASSDEF(TBar);

class TBar: public TBWindow
{
public:
	float value, limit1, limit2, min, max;
	int BarX,BarY,BarW,BarH;
	PTBStatic PTitle,PDiag;
	TBar( PTWindowsObject AParent, char* Text,
	int x, int y, int w, int h,
	float lim1=0.0, float lim2=1.0, float val=0.0,
	float from=0.0, float to=1.0);
	virtual ~TBar();
	virtual void GetWindowClass(WNDCLASS& AWndClass);
	virtual void WMCreate( RTMessage )      = [ WM_FIRST + WM_CREATE ];
	virtual LPSTR GetClassName(void)  {return "TBar";};
	virtual void Paint( HDC PaintDC, PAINTSTRUCT& PaintInfo );

	virtual void SetValue(float val, float lim1=0, float lim2=0,
			float from=0, float to=0, char* Title="@");
};
