/*************************************************************************
*  Program:       NN_BP.H                                                *
*  Description:   Header for Backprop-Module for VieNet2 V2.03           *
*  Last modified: 23.05.96                                               *
*  Author:        LG                                                     *
**************************************************************************/
#ifndef NN_BP_h
#define NN_BP_h

/*====== functions for 3-layer network ======*/
extern void NN_BP_Init(pINT IN, pINT HIDDEN, pINT OUT, pINT BIAS, float wmin, float wmax);
extern void NN_BP_Update(pINT IN, pINT HIDDEN, pINT OUT);
extern void NN_BP_Learn(pINT IN, pINT HIDDEN, pINT OUT, float rate);
#endif
